## maybe 0.1.0

=== DESCRIPTION ===
Package: maybe
Title: The Maybe Monad
Version: 0.1.0
Authors@R: 
    person(given = "Andrew",
           family = "McNeil",
           role = c("aut", "cre"),
           email = "andrew.richard.mcneil@gmail.com")
Description: 
    The maybe type represents the possibility of some value or nothing. 
    It is often used instead of throwing an error or returning `NULL`.
    The advantage of using a maybe type over `NULL` is that it is both composable 
    and requires the developer to explicitly acknowledge the potential absence 
    of a value, helping to avoid the existence of unexpected behaviour.
License: MIT + file LICENSE
URL: https://github.com/armcn/maybe, https://armcn.github.io/maybe/
BugReports: https://github.com/armcn/maybe/issues
Encoding: UTF-8
RoxygenNote: 7.1.1
Depends: R (>= 4.1.0)
Suggests: testthat (>= 3.0.0), covr, quickcheck
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2022-01-25 22:50:53 UTC; mcneil
Author: Andrew McNeil [aut, cre]
Maintainer: Andrew McNeil <andrew.richard.mcneil@gmail.com>
Repository: CRAN
Date/Publication: 2022-01-27 08:50:01 UTC

## maybe 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: maybe
 Title: The Maybe Monad
-Version: 0.1.0
+Version: 0.2.0
 Authors@R: 
     person(given = "Andrew",
            family = "McNeil",
@@ -18,11 +18,11 @@
 Encoding: UTF-8
 RoxygenNote: 7.1.1
 Depends: R (>= 4.1.0)
-Suggests: testthat (>= 3.0.0), covr, quickcheck
+Suggests: testthat (>= 3.0.0), quickcheck (>= 0.1.0), covr
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-01-25 22:50:53 UTC; mcneil
+Packaged: 2022-02-11 20:30:54 UTC; mcneil
 Author: Andrew McNeil [aut, cre]
 Maintainer: Andrew McNeil <andrew.richard.mcneil@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-01-27 08:50:01 UTC
+Date/Publication: 2022-02-11 20:50:02 UTC

## maybe 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: maybe
 Title: The Maybe Monad
-Version: 0.2.0
+Version: 0.2.1
 Authors@R: 
     person(given = "Andrew",
            family = "McNeil",
@@ -17,12 +17,12 @@
 BugReports: https://github.com/armcn/maybe/issues
 Encoding: UTF-8
 RoxygenNote: 7.1.1
-Depends: R (>= 4.1.0)
-Suggests: testthat (>= 3.0.0), quickcheck (>= 0.1.0), covr
+Imports: magrittr
+Suggests: testthat (>= 3.0.0), quickcheck, covr
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-02-11 20:30:54 UTC; mcneil
+Packaged: 2022-03-11 15:06:23 UTC; mcneil
 Author: Andrew McNeil [aut, cre]
 Maintainer: Andrew McNeil <andrew.richard.mcneil@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-02-11 20:50:02 UTC
+Date/Publication: 2022-03-11 15:20:02 UTC

## maybe 0.3.0

=== debian/changelog ===
maybe (0.3.0-1) unstable; urgency=low

  * Initial release. Closes: #814062.

 -- Stephen Kitt <skitt@debian.org>  Mon, 08 Feb 2016 15:16:37 +0100

=== debian/control ===
Source: maybe
Maintainer: Stephen Kitt <skitt@debian.org>
Section: utils
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3),
 python-setuptools (>= 0.6b3)
Standards-Version: 3.9.6
Homepage: https://github.com/p-e-w/maybe
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/collab-maint/maybe.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/maybe.git

Package: maybe
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Description: control filesystem modifications before they occur
 maybe runs processes under the control of ptrace. When it intercepts
 a system call that is about to make changes to the file system, it
 logs that call, ignores the system call and indicates success to the
 calling process.
 .
 After execution, maybe produces a report of all attempted changes to
 the filesystem, and offers to re-run the process (without filtering
 this time).

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/maybe/maybe-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## maybe 0.4.0

=== debian/changelog ===
maybe (0.4.0-5) unstable; urgency=medium

  * Avoid crashing when AT_FDCWD is returned.
  * Switch to debhelper compatibility level 12.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.4.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Dec 2019 20:22:30 +0100

maybe (0.4.0-4) unstable; urgency=medium

  * Add missing build-dependency on python3-ptrace.

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 May 2018 09:28:22 +0200

maybe (0.4.0-3) unstable; urgency=medium

  * Allow newer versions of python-ptrace for Python 3 support.

 -- Stephen Kitt <skitt@debian.org>  Fri, 11 May 2018 23:22:46 +0200

maybe (0.4.0-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Update debian/copyright.
  * Update watch file.
  * Drop obsolete Python version restrictions.
  * Switch to debhelper compatibility level 11.
  * Switch to Python 3; thanks to Alexandre Detiste for the patch!
    Closes: #814259.
  * Avoid running setup.py for clean-up, it tries to run the tests and
    fails.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 11 May 2018 14:03:24 +0200

maybe (0.4.0-1) unstable; urgency=medium

  * New upstream release; disable pytest-runner for now since it's not
    available in Debian and there are no tests yet.
  * Clean up debian/control with cme.
  * Standards-Version 3.9.7, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 28 Mar 2016 20:59:37 +0200

=== debian/control ===
Source: maybe
Maintainer: Stephen Kitt <skitt@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-ptrace,
               python3-setuptools
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian/maybe
Vcs-Git: https://salsa.debian.org/debian/maybe.git
Homepage: https://github.com/p-e-w/maybe
Rules-Requires-Root: no

Package: maybe
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: control filesystem modifications before they occur
 maybe runs processes under the control of ptrace. When it intercepts
 a system call that is about to make changes to the file system, it
 logs that call, ignores the system call and indicates success to the
 calling process.
 .
 After execution, maybe produces a report of all attempted changes to
 the filesystem, and offers to re-run the process (without filtering
 this time).

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=maybe

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	python3 setup.py install --root=debian/maybe --install-layout=deb --install-lib=/usr/share/maybe --install-scripts=/usr/share/maybe

override_dh_auto_build:

override_dh_auto_clean:
	rm -rf .pybuild build

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/maybe/maybe-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## maybe 1.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: maybe
 Title: The Maybe Monad
-Version: 0.2.1
+Version: 1.0.0
 Authors@R: 
     person(given = "Andrew",
            family = "McNeil",
@@ -21,8 +21,8 @@
 Suggests: testthat (>= 3.0.0), quickcheck, covr
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-03-11 15:06:23 UTC; mcneil
+Packaged: 2022-05-28 16:03:25 UTC; mcneil
 Author: Andrew McNeil [aut, cre]
 Maintainer: Andrew McNeil <andrew.richard.mcneil@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-03-11 15:20:02 UTC
+Date/Publication: 2022-05-28 16:30:02 UTC

## maybe 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: maybe
 Title: The Maybe Monad
-Version: 1.0.0
+Version: 1.1.0
 Authors@R: 
     person(given = "Andrew",
            family = "McNeil",
@@ -16,13 +16,13 @@
 URL: https://github.com/armcn/maybe, https://armcn.github.io/maybe/
 BugReports: https://github.com/armcn/maybe/issues
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.2
 Imports: magrittr
 Suggests: testthat (>= 3.0.0), quickcheck, covr
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-05-28 16:03:25 UTC; mcneil
+Packaged: 2023-08-06 17:55:47 UTC; mcneil
 Author: Andrew McNeil [aut, cre]
 Maintainer: Andrew McNeil <andrew.richard.mcneil@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-05-28 16:30:02 UTC
+Date/Publication: 2023-08-07 13:30:02 UTC
